Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.applet
Class AppletCommunicationStrategy.ReceiveThread

    java.lang.Object
      java.lang.Thread
          ix.applet.AppletCommunicationStrategy.ReceiveThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  AppletCommunicationStrategy

     class AppletCommunicationStrategy.ReceiveThread

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`(package private) java.lang.String` | `ourName`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`AppletCommunicationStrategy.ReceiveThread()`

Method Summary
`(package private) void` | `handleMessage(AppletMessage message)`
`(package private) AppletMessage` | `nextMessage(AppletMessage previous)`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ourName

    java.lang.String ourName

Constructor Detail

### AppletCommunicationStrategy.ReceiveThread

    AppletCommunicationStrategy.ReceiveThread()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### nextMessage

    AppletMessage nextMessage(AppletMessage previous)

### handleMessage

    void handleMessage(AppletMessage message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD